package cn.iocoder.yudao.module.shipment.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class LoadDto {

    /*
     序号 0
     */
    @ExcelProperty("id")
    private String id;

    /*
     订单号 1
     */
    @ExcelProperty("orderNo")
    private String orderNo;

    /*
     唛头 2
     */
    @ExcelProperty("marks")
    private String marks;

    /*
     获取描述 3
     */
    @ExcelProperty("prodTitleZh")
    private String prodTitleZh;

    /*
     数量 4
     */
    @ExcelProperty("quantity")
    private Integer quantity;

    /*
     品牌 5
     */
    @ExcelProperty("brand")
    private String brand;

    /*
     备案 6
     */
    @ExcelProperty("productRecord")
    private String  productRecord;

    /*
     特性 7
     */
    @ExcelProperty("prodAttrIds")
    private String prodAttrIds;

    /*
     总件数 8
     */
    @ExcelProperty("sumNum")
    private Integer sumNum;

    /*
     单位 9
     */
    @ExcelProperty("unit")
    private String unit;

    /*
     总体积 10
     */
    @ExcelProperty("sumVolume")
    private BigDecimal sumVolume;

    /*
     总重量 11
     */
    @ExcelProperty("sumWeight")
    private BigDecimal sumWeight;


    /*
     包装类型 12
     */
    @ExcelProperty("packageType")
    private String packageType;

    /*
     材质 13
     */
    @ExcelProperty("material")
    private String material;


    /*
     用途 14
     */
    @ExcelProperty("usageIds")
    private String usageIds;


    /*
     合单 15
     */
    @ExcelProperty("merge")
    private String merge;

    /*
     关联订单 16
     */
    @ExcelProperty("relateOrder")
    private String relateOrder;


    /*
     报关方式 17
     */
    @ExcelProperty("customsType")
    private String customsType;

    /*
     货值 18
     */
    @ExcelProperty("worth")
    private BigDecimal worth;


}
